Bug#463929: exim4: Segfaults after libpq5 upgrade

Jonathan McDowell noodles at earth.li
Mon Feb 4 09:33:28 UTC 2008

Package: exim4
Version: 4.68-2
Severity: important

After upgrading libpq5 from 8.2.6-1 to 8.3~rc2-1+b1 last night I started
to experience exim4 segfaults; log entries like:

2008-02-03 23:51:21 1JLocK-0000PR-OM appendfile transport process returned non-zero status 0x000b: terminated by signal 11

and mailq would list the mailq and then segfault afterwards. Downgrading
libpq5 has fixed the problem. I've filed this bug against exim instead
of libpq5 as another testing box doesn't seem to have had an issue with
the upgrade, though that's i386 rather than amd64.

-- Package-specific info:
Exim version 4.68 #1 built 01-Nov-2007 19:08:38
Copyright (c) University of Cambridge 2006
Berkeley DB: Berkeley DB 4.6.21: (September 27, 2007)
Support for: crypteq iconv() IPv6 PAM Perl GnuTLS move_frozen_messages Content_Scanning Old_Demime
Lookups: lsearch wildlsearch nwildlsearch iplsearch cdb dbm dbmnz dnsdb dsearch ldap ldapdn ldapm mysql nis nis0 passwd pgsql sqlite
Authenticators: cram_md5 cyrus_sasl dovecot plaintext spa
Routers: accept dnslookup ipliteral iplookup manualroute queryprogram redirect
Transports: appendfile/maildir/mailstore/mbx autoreply lmtp pipe smtp
Fixed never_users: 0
Size of off_t: 8
Configuration file is /var/lib/exim4/config.autogenerated
# /etc/exim4/update-exim4.conf.conf
# Edit this file and /etc/mailname by hand and execute update-exim4.conf
# yourself or use 'dpkg-reconfigure exim4-config'
# Please note that this is _not_ a dpkg-conffile and that automatic changes
# to this file might happen. The code handling this will honor your local
# changes, so this is usually fine, but will break local schemes that mess
# around with multiple versions of the file.
# update-exim4.conf uses this file to determine variable values to generate
# exim configuration macros for the configuration file.
# Most settings found in here do have corresponding questions in the
# Debconf configuration, but not all of them.
# This is a Debian specific file


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.18-6-xen-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages exim4 depends on:
ii  debconf [debconf-2.0]         1.5.18     Debian configuration management sy
ii  exim4-base                    4.68-2     support files for all Exim MTA (v4
ii  exim4-daemon-heavy            4.68-2     Exim MTA (v4) daemon with extended

exim4 recommends no packages.

-- debconf information:

More information about the Pkg-exim4-maintainers mailing list